Subject: bug#6991: Please keep bytecode out of *Backtrace* buffers

From: Drew Adams <[email-masked]>
Date: Wed, 7 Aug 2013 15:25:01 -0700 (PDT)

Can we please fix this?  What about Stefan's patch?  Etc.

> Sent: Thursday, January 24, 2013 2:43 PM
> 
> > Sent: Monday, July 02, 2012 12:06 PM
> >
> > > You can try the simple patch below.  It doesn't cut it for me, and
> > > I think the only way to make it work well would be to change the
> > > representation of the byte-codes so that they're not just a "unibyte
> > > string" but an object with a distinctive type: the patch
> > > only catches the case where the byte-codes appear within a printed
> > > byte-compiled-function, not when they're arguments to the
> > > `byte-code' function or to the `make-byte-code' function, and I'm sure
> > > there can be other cases.
> >
> > Thanks, but I don't build Emacs.  Hopefully something like
> > this will be added to Emacs itself, even if it is only a partial
> > solution.
> >
> > Did you mean to close the bug?  It seems to be getting closed
> > just because (?) 6991-done is in the recipients list.
> >
> > If you did not mean to close it, let's please reopen it.
> > Even if it is made only a wishlist item, it is a useful enhancement
> > request.
> 
> Can we please follow up on this?  The status seems to be `wishlist' but
> tagged `wontfix', which doesn't make a lot of sense to me.
> 
> I cannot build Emacs to test this.  Could someone else please test it?  Or
> could it please be installed without testing?  (Seriously.)
> 
> It would _really_ be helpful if there were no binary crap in Lisp
> backtraces.  Does that stuff actually help anyone?  If so, perhaps we can
> keep it as a (non-default) option, but otherwise, can't we simply elide
> anything that is not a printable character, at the least?
> 
> I mean replace it by `...', not just change a `display' property.  The
> problems
> I encounter arise from trying to copy + paste the backtrace.
> 
> I don't understand why we even have backtraces that one cannot copy & paste
> completely, into, e.g., an email.  What's the point of that?  If I try to
> paste a copied backtrace I need to paste bits of it piecemeal, because the
> binary parts do not paste.  That is tedious and error prone.  Many users
> might not even realize that the backtrace did not get completely pasted.
> 
> Why is it so hard to advance on something like this?  Stefan provided a C
> patch to test, and that was the end of the thread.
> 
> So much stuff gets added to the Emacs C sources anyway, sometimes breaking
> all kinds of stuff.  Why don't you please just go ahead and install your
> patch, Stefan, so we can see whether and how much it helps?
> 
> Please consider trying to do something to advance this schmilblick.  I am
> sure that it will be appreciated by more than just me.